macOS Catalina compatibility

System configuration, maintenance and utilities
User avatar
G
Owner/Admin
Posts: 1970
Joined: 05 May 2003, 18:11
Twitter: glenngutierrez
Location: SF Bay Area, California
Contact:

Re: macOS Catalina compatibility

Post by G » 07 Oct 2019, 17:32

FabFilter

There is no official statement as of October 7. This is from their user forum:

https://www.fabfilter.com/forum/5937/wi ... s-catalina
We have just tested our plug-ins on the latest macOS Catalina beta version, and as far as we can see, they all seem to work just fine!

Floris (FabFilter) — Sep 18, 2019
Yes, all our current installers are already notarized and compliant. They run on macOS Catalina without any issues.

Floris (FabFilter) — Sep 19, 2019
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo x6 . macOS Mojave . Logic Pro X . FCPX . PS CC . Get Info

User avatar
G
Owner/Admin
Posts: 1970
Joined: 05 May 2003, 18:11
Twitter: glenngutierrez
Location: SF Bay Area, California
Contact:

Re: macOS Catalina compatibility

Post by G » 07 Oct 2019, 17:41

Roland

https://www.roland.com/global/support/s ... 19091015r/
Compatibility with macOS Catalina (macOS 10.15) will be verified and announced after the release of macOS Catalina (macOS 10.15).
If you are using a Roland product via a USB connection to a Mac computer, please continue to stay with macOS Mojave (macOS 10.14) until the results of verification are announced.
Visit the link above for a full breakdown.

For Roland Cloud compatibility with macOS Catalina, see this earlier post.
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo x6 . macOS Mojave . Logic Pro X . FCPX . PS CC . Get Info

User avatar
G
Owner/Admin
Posts: 1970
Joined: 05 May 2003, 18:11
Twitter: glenngutierrez
Location: SF Bay Area, California
Contact:

Re: macOS Catalina compatibility

Post by G » 07 Oct 2019, 17:47

Reason Studios (Propellerhead)

https://help.reasonstudios.com/hc/en-us ... s-products
Apple is just releasing macOS 10.15 Catalina. This new version of their operating system includes many great improvements, but can also affect Reason Studios products, technologies and other parts of your music-making system.

We are currently working hard to ensure full compatibility with macOS Catalina. In the meantime, we recommend that you do not update to macOS 10.15 until we have finished testing and made a full compatibility statement.
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo x6 . macOS Mojave . Logic Pro X . FCPX . PS CC . Get Info

User avatar
G
Owner/Admin
Posts: 1970
Joined: 05 May 2003, 18:11
Twitter: glenngutierrez
Location: SF Bay Area, California
Contact:

Re: macOS Catalina compatibility

Post by G » 08 Oct 2019, 14:58

Plugin Alliance

https://www.plugin-alliance.com/en/support.html
We are currently performing final tests to make sure that all of our products will be compatible with Catalina. We expect to have tested and verified versions for all of our plugins by the end of October.

To avoid any disruption with any of your ongoing projects, we ask that you do not update to Catalina until we announce Catalina compatibility.

We will announce the compatibility shortly. This is a pure info mail, no action required on your end right now.

Please stay subscribed to our newsletter or check our online FAQ's regularly to obtain information on the current operating system requirements.
Update 7 Nov 2019

https://www.plugin-alliance.com/en/news ... 02.19.html
Plugin Alliance Maintenance Update 02.19

• Qualified for use with macOS 10.15 Catalina
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo x6 . macOS Mojave . Logic Pro X . FCPX . PS CC . Get Info

User avatar
G
Owner/Admin
Posts: 1970
Joined: 05 May 2003, 18:11
Twitter: glenngutierrez
Location: SF Bay Area, California
Contact:

Re: macOS Catalina compatibility

Post by G » 08 Oct 2019, 18:45

Non-audio apps & utilities

DiskMaker X 9.0 is compatible with, and notarized for, macOS Catalina (now requires 16GB USB stick)
http://diskmakerx.com

Onyx 3.7.0 is compatible with macOS Catalina
https://www.titanium-software.fr/en/onyx.html

Carbon Copy Cloner 5 is "100% ready to make bootable backups of the new read-only System volume and its Data volume sibling"
https://bombich.com/blog/2019/10/07/clo ... opy-cloner

SuperDuper v3.3 is fully Catalina-compatible
https://www.shirt-pocket.com/blog/

SteerMouse 5.4.1 is macOS Catalina ready
http://plentycom.jp/en/steermouse/download.php

USB Overdrive 4.0 is ready for Catalina
http://www.usboverdrive.com/

Logitech Control Center 3.9.9 is compatible with macOS 10.15.x
http://support.logitech.com/en_us/softw ... ntosh-os-x

Default Folder X 5.4 supports macOS 10.15 Catalina
https://www.stclairsoft.com/DefaultFolderX/

Find Any File 2.0 is now a 64 bit application, ready for macOS 10.15 Catalina
https://apps.tempel.org/FindAnyFile/index.php

iStat Menus 6.4.0 adds support for macOS Catalina
https://bjango.com

Bare Bones BBEdit 13.0 and Yojimbo 4.1.3 are compatible with macOS 10.15 “Catalina”
https://www.barebones.com/support/new-os.html

Photoshop and Lightroom have a handful of minor issues w/workarounds
https://appleinsider.com/articles/19/10 ... s-catalina

Affinity Designer, Photo, and Publisher 1.7.3 are compatible and optimized for Sidecar
https://affinity.serif.com/

Backblaze 7.0 supports Catalina
https://help.backblaze.com/hc/en-us/art ... -Catalina-
You will need to grant "bzbmenu" access to your removable volumes.
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo x6 . macOS Mojave . Logic Pro X . FCPX . PS CC . Get Info

User avatar
G
Owner/Admin
Posts: 1970
Joined: 05 May 2003, 18:11
Twitter: glenngutierrez
Location: SF Bay Area, California
Contact:

Re: macOS Catalina compatibility

Post by G » 08 Oct 2019, 18:48

Rogue Amoeba

https://www.rogueamoeba.com/
Audio Hijack 3.60 now has preliminary compatibility with MacOS 10.15 (Catalina)
With Audio Hijack, it's possible to use third-party Audio Unit plugins with any audio on your Mac. Unfortunately, in MacOS 10.15 (Catalina), third-party Audio Units may fail to work as you expect. A change made by Apple means that all software must be “notarized” by their security systems. Non-notarized software is entirely prevented from running on Catalina.

This change means many older third-party Audio Unit plugins will not work at all on Catalina. This issue will occur in any modern Audio Unit host, including Audio Hijack, as well as Apple's own GarageBand and many others. When attempting to use third-party Audio Units, you may encounter non-functional plugins, error messages, or other undesirable behaviors.
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo x6 . macOS Mojave . Logic Pro X . FCPX . PS CC . Get Info

User avatar
G
Owner/Admin
Posts: 1970
Joined: 05 May 2003, 18:11
Twitter: glenngutierrez
Location: SF Bay Area, California
Contact:

Re: macOS Catalina compatibility

Post by G » 09 Oct 2019, 07:58

HoRNet Plugins

(via email)
We have run tests on the new macOS Catalina since the this summer and our plugins have been working fine so far.

Until the final release also our standalone apps worked fine but with the final release they stopped working, if you use Key Detector, Guitar Kit or HATEFISh RhyGenerator in app mode (not hosted by a DAW) please don't upgrade right now as we need to issue updated versions.
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo x6 . macOS Mojave . Logic Pro X . FCPX . PS CC . Get Info

User avatar
G
Owner/Admin
Posts: 1970
Joined: 05 May 2003, 18:11
Twitter: glenngutierrez
Location: SF Bay Area, California
Contact:

Re: macOS Catalina compatibility

Post by G » 09 Oct 2019, 08:18

Spectrasonics

https://www.spectrasonics.net/support/k ... owcatID=84
We are currently testing our instruments for compatibility in macOS Catalina.

Although we haven’t found compatibility issues with our plugins, the SAGE Converter (a standalone application used to bring your own audio to Stylus RMX) will not work in macOS Catalina.

If you need to use the SAGE Converter, we recommend that you do not upgrade at this time. We are working to resolve this incompatibility.
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo x6 . macOS Mojave . Logic Pro X . FCPX . PS CC . Get Info

User avatar
G
Owner/Admin
Posts: 1970
Joined: 05 May 2003, 18:11
Twitter: glenngutierrez
Location: SF Bay Area, California
Contact:

Re: macOS Catalina compatibility

Post by G » 09 Oct 2019, 18:49

Celemony

https://www.celemony.com/en/macos-catalina
All editions (essential, assistant, editor and studio) of the new Melodyne version 4.2.4 have already been adapted to Catalina and are compatible with it. As a Melodyne 4 user, you can download the free update in your user account. However, you have to make sure that your DAW and all the required drivers have also been cleared to run under Catalina.
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo x6 . macOS Mojave . Logic Pro X . FCPX . PS CC . Get Info

User avatar
G
Owner/Admin
Posts: 1970
Joined: 05 May 2003, 18:11
Twitter: glenngutierrez
Location: SF Bay Area, California
Contact:

Re: macOS Catalina compatibility

Post by G » 10 Oct 2019, 02:36

Sinevibes

https://www.facebook.com/sinevibes/post ... 5496021806
You might have read about this already: you should indeed wait a bit and not upgrade to macOS 10.15 Catalina yet. No problems with signing/notarizing our plugins - but support for macOS 10.6 would need to be dropped. We'll probably need to have two packages per each product.
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo x6 . macOS Mojave . Logic Pro X . FCPX . PS CC . Get Info

User avatar
G
Owner/Admin
Posts: 1970
Joined: 05 May 2003, 18:11
Twitter: glenngutierrez
Location: SF Bay Area, California
Contact:

Re: macOS Catalina compatibility

Post by G » 10 Oct 2019, 04:19

u-he

https://www.kvraudio.com/forum/viewtopi ... 1&t=532860

(forum reply)
Our stuff works fine as far as we know - but of course we couldn't test in hosts that don't run on it yet.

We've updated some of our dev machines and were able to meet all requirements for the time past January. In a month or so we'll offer separate notarized installers with just the 64-bit plug-ins. The existing installers (including 32 bit plug-ins) will be maintained in parallel for another year or two.
Update 13 Dec 2019

https://www.kvraudio.com/forum/viewtopi ... 1&t=536342
While our stuff currently "just works" in Catalina, it is widely expected that from some time in January an system update or "something" will increase the requirements. To meet those requirements we had to rebuild every plug-in (no big deal, but there are details...).
Update 28 Jan 2020

https://u-he.com/news/#catalina-updates-01-27
u-he plugins ready for Catalina.jpg
As the deadline for notarizing software for macOS 10.15 Catalina comes close, we're releasing updates for all of our plug-ins, either as new versions (ACE, Diva, Hive, Repro, Zebra2/ZebraHZ) or as notarized re-releases (everything else). So if you have a new Mac, or if you upgraded to Catalina already, we recommend that you download all your u-he plug-ins and install them over the existing versions before February 4th, 2020.
You do not have the required permissions to view the files attached to this post.
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo x6 . macOS Mojave . Logic Pro X . FCPX . PS CC . Get Info

User avatar
G
Owner/Admin
Posts: 1970
Joined: 05 May 2003, 18:11
Twitter: glenngutierrez
Location: SF Bay Area, California
Contact:

Re: macOS Catalina compatibility

Post by G » 10 Oct 2019, 10:37

UJAM Instruments

https://support.ujam.com/hc/en-us/artic ... patibility
With the arrival of Catalina, all software distributed outside the App Store will have to undergo a notarization check even if the software is loaded into a running process, e.g. plug-ins. This will provide increased security for end customers in the future.

We’re currently performing tests to make sure that all of our products will be compatible with Catalina. To avoid any problems with any of your ongoing projects, we ask that you do not update to Catalina until we announce full compatibility. We will announce compatibility shortly.

The newsletter and our knowledge base will be the official channels on which we will announce Catalina compatibility.
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo x6 . macOS Mojave . Logic Pro X . FCPX . PS CC . Get Info

User avatar
G
Owner/Admin
Posts: 1970
Joined: 05 May 2003, 18:11
Twitter: glenngutierrez
Location: SF Bay Area, California
Contact:

Re: macOS Catalina compatibility

Post by G » 10 Oct 2019, 13:56

Glitchmachines

https://twitter.com/Glitchmachines/stat ... 8367988738
If you like things that work, don't upgrade to Catalina yet.
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo x6 . macOS Mojave . Logic Pro X . FCPX . PS CC . Get Info

User avatar
G
Owner/Admin
Posts: 1970
Joined: 05 May 2003, 18:11
Twitter: glenngutierrez
Location: SF Bay Area, California
Contact:

Re: macOS Catalina compatibility

Post by G » 10 Oct 2019, 13:58

Valhalla DSP

https://twitter.com/valhalladsp/status/ ... 7324981248
If you use Valhalla plugins, and are wondering whether you should upgrade to Catalina yet: don't.
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo x6 . macOS Mojave . Logic Pro X . FCPX . PS CC . Get Info

User avatar
G
Owner/Admin
Posts: 1970
Joined: 05 May 2003, 18:11
Twitter: glenngutierrez
Location: SF Bay Area, California
Contact:

Re: macOS Catalina compatibility

Post by G » 10 Oct 2019, 14:52

Blue Cat Audio

https://www.bluecataudio.com/Blog/tip-o ... us-update/
We still do not recommend to update for the moment, of course, but regarding our plug-ins, it should be mostly fine, as far as we can tell (there are not many host applications and audio interfaces that can be used for testing).

Here are the details:
  • Most plug-ins and applications will run fine, once they have been installed (see our survival guide for more details on how to install).
  • Some older plug-ins (namely the Remote Control, FreqAnalyst Pro, StereoScope Pro, Liny EQ plug-ins, and the Parametr’EQ series) will not load, unless you allow them one by one in the security pane, after they first failed loading.
  • Our third party plug-ins hosts (Axiom, PatchWork, Late Replies and the MB-7 Mixer) will be able to load only plug-ins that are compatible with Catalina.
We will keep you updated as more applications become available for Catalina. Feel free to contact us if you have any problem, or on the contrary a successful upgrade!
MacBook Pro 15" (2016) . Radeon Pro 460 . UA Apollo x6 . macOS Mojave . Logic Pro X . FCPX . PS CC . Get Info

Post Reply